# Class Configuration#setTimeZone

Configuration

- Defined in: configuration.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Configuration#setTimeZone(successCallback, errorCallback, options) Sets time zone which should be one of the list from getTimeZoneList.

## Class Detail

Configuration#setTimeZone(successCallback, errorCallback, options)
Sets time zone which should be one of the list from getTimeZoneList.

    // Javascript code
    function setTimeZone () {
      function successCb(cbObject) {

         // Do something

      }

      function failureCb(cbObject) {
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log ("Error Code [" + errorCode + "]: " + errorText);
      }

      var configuration = new Configuration();
      var timeZone = {
          continent : "Asia",
          country : "South Korea",
          city : "Seoul"
      };
      var options = { timeZone : timeZone };

      configuration.setTimeZone(successCb, failureCb, options);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.
{Object} options

  Property | Type | Description | Required
  --- | --- | --- | ---
  timeZone | Object |  | required
  timeZone.continent | String | continent | required
  timeZone.country | String | country | required
  timeZone.city | String | city | required

Since:
  1.3
Returns:

  If the method is successfully executed, success callback function is called without a parameter. If an error occurs, failure callback function is called with a failure callback object as a parameter.

See:
  Configuration.getTimeZone()
  Configuration.getTimeZoneList()